Bug 288401 - ssb: Warning at drivers/ssb/main.c:889
ssb: Warning at drivers/ssb/main.c:889
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-12 16:05 EDT by Chuck Ebbert
Modified: 2008-01-29 09:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-28 16:13:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chuck Ebbert 2007-09-12 16:05:25 EDT
Description of problem:
Warning at drivers/ssb/main.c:889 ssb_tmslow_reject_bitmask()
Broadcom BCM94311MCG wireless controller (PCI ID 14e4:4311) does not work.

Code is looking for either 0 or 1 in the revision field, but there is a 6 there:
    ssb: rev 60000000
Printed with this patch applied:

        case SSB_IDLOW_SSBREV_23:
                return SSB_TMSLOW_REJECT_23;
+               printk(KERN_ERR "ssb: rev %x\n",
+                      ssb_read32(dev, SSB_IDLOW) & SSB_IDLOW_SSBREV);
        return (SSB_TMSLOW_REJECT_22 | SSB_TMSLOW_REJECT_23);

Version-Release number of selected component (if applicable):

How reproducible:
Boot kernel on HP Tx1000 notebook
Comment 1 David Woodhouse 2007-09-25 13:10:19 EDT
The error you see isn't directly related to the fact that the device doesn't work.

The device ident is probed fine -- ssb:v4243id0812rev0D -- but is not a device
which is supported by b43 yet. We could probably do with a better failure mode
when no matching driver is found for an SSB device.
Comment 2 John W. Linville 2007-09-25 13:21:21 EDT
I sympathize w/ that sentiment, but what would it be?  We don't scream when 
there is no PCI or USB driver found for a device.

Now, having an 'lsssb' or somesuch akin to lsusb or lspci might be useful...
Comment 3 John W. Linville 2007-09-28 10:10:38 EDT
Chuck I think I saw upstream that your device has a core newer than the b43 
team supports.  I have not seen any new patches yet.  Please note it here 
if/when you see them, just so I don't miss it. :-)
Comment 4 Kenneth A. Redler 2007-10-12 16:46:52 EDT
I am seeing similar results on a Compaq Presario C700 series (C714NR I believe):

PCI: Setting latency timer of device 0000:01:00.0 to 64
ssb: rev 60000000
WARNING: at drivers/ssb/main.c:889 ssb_tmslow_reject_bitmask() (Not tainted)
 [<c0406463>] show_trace_log_lvl+0x1a/0x2f
 [<c0406e4d>] show_trace+0x12/0x14
 [<c0406e65>] dump_stack+0x16/0x18
 [<f8baf862>] ssb_tmslow_reject_bitmask+0x7b/0x88 [ssb]
 [<f8bb0001>] ssb_device_is_enabled+0xc/0x31 [ssb]
 [<f8bb1feb>] ssb_pcicore_init+0x14/0x39 [ssb]
 [<f8baf606>] ssb_attach_queued_buses+0x68/0x249 [ssb]
 [<f8bafb9f>] ssb_bus_register+0x15a/0x1b4 [ssb]
 [<f8bafca5>] ssb_bus_pcibus_register+0x27/0x4b [ssb]
 [<f8bb14a8>] ssb_pcihost_probe+0x64/0x90 [ssb]
 [<c050d409>] pci_device_probe+0x39/0x5b
 [<c0576815>] driver_probe_device+0xf2/0x173
 [<c05769bf>] __driver_attach+0x76/0xaf
 [<c0575d0e>] bus_for_each_dev+0x3c/0x61
 [<c0576657>] driver_attach+0x19/0x1b
 [<c057602c>] bus_add_driver+0x79/0x181
 [<c0576bc3>] driver_register+0x67/0x6c
 [<c050d561>] __pci_register_driver+0x56/0x83
 [<f8bb13b6>] ssb_pcihost_register+0x2e/0x30 [ssb]
 [<f8b94067>] b43_pci_ssb_bridge_init+0xd/0xf [ssb]
 [<f8b94043>] ssb_modinit+0x43/0x5a [ssb]
 [<c0451f48>] sys_init_module+0x13c4/0x1520
 [<c040522e>] syscall_call+0x7/0xb
ssb: Sonics Silicon Backplane found on PCI device 0000:01:00.0

I tried this on F8t3 i686 LiveCD and (currently) on the latest rawhide spin:

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.23-5.fc8 #1 SMP Wed Oct 10 20:23:30 EDT 2007
i686 i686 i386 GNU/Linux
[root@localhost ~]# 

[root@localhost ~]# lspci -vvs 01:00.0
01:00.0 Network controller: Broadcom Corporation BCM94311MCG wlan mini-PCI (rev 02)
        Subsystem: Hewlett-Packard Company Unknown device 1374
[root@localhost ~]# lspci -vvns 01:00.0
01:00.0 0280: 14e4:4311 (rev 02)
        Subsystem: 103c:1374

Comment 5 John W. Linville 2007-10-12 17:15:24 EDT
Please post the output of running "cat /sys/bus/ssb/devices/ssb0\:0/uevent".
Comment 6 Kenneth A. Redler 2007-10-12 17:36:03 EDT
[root@localhost ~]# cat /sys/bus/ssb/devices/ssb0\:0/uevent
Comment 7 John W. Linville 2007-11-29 09:57:38 EST
There is a patch to support these chips in kernel-  Does it 
work for you?
Comment 8 John W. Linville 2008-01-28 16:13:00 EST
Closed due to lack of response...
Comment 9 Kenneth A. Redler 2008-01-28 23:45:03 EST
please reopen...I hope to test a newer kernel when I get my USB drive in the mail
on wednesday...I got tired of burning CDs that were effectively coasters.

 - kr
Comment 10 John W. Linville 2008-01-29 08:32:44 EST
Kenneth, please open a new bug if you continue to experience problems after 
you test the new kernels.  That way it will list you as the reporter and the 
bug will be specific to your situation.
Comment 11 Kenneth A. Redler 2008-01-29 09:07:23 EST
Understood.  Thanks John! - kr

Note You need to log in before you can comment on or make changes to this bug.